<template>
  <div class="col-md-9 search-form">
    <h1>Seach Blogs</h1>
    <blog-search-form @sendKeySearch="fetchDataTolist($event)" />
    <br>
    <BlogList :DataSender="posts" />
  </div>
</template>

<script>
import axios from 'axios'
import BlogList from '~/components/Blog/BlogList.vue'
import BlogSearchForm from '~/components/Blog/BlogSearchForm.vue'

export default {
  components: {
    BlogList,
    BlogSearchForm
  },

  data () {
    return {
      posts: []
    }
  },

  mounted () {
    this.fetchDataTolist()
  },
  methods: {
    fetchDataTolist (keyword) {
      axios
        .get('http://localhost:4000/blogs' + '?title_like=' + keyword)
        .then((res) => {
          this.posts = res.data
          console.log(keyword)
        })
    }
  }
}
</script>
<style>
.search-form {
  margin-top: 10px;
  margin-bottom: 10px;
}
</style>
